Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.util
Class HttpUtil

    java.lang.Object
      net.minecraft.util.HttpUtil

    public class HttpUtil

extends Object

Constructor Summary
`HttpUtil()`

Method Summary
`static String` | `buildPostString(Map par0Map)` Builds an encoded HTTP POST content string from a string map
`static void` | `downloadTexturePack(File par0File, String par1Str, IDownloadSuccess par2IDownloadSuccess, Map par3Map, int par4, IProgressUpdate par5IProgressUpdate)`
`static int` | `func_76181_a()`
`static String[]` | `func_82718_a(String par0Str, String par1Str)`
`static String` | `sendPost(URL par0URL, Map par1Map, boolean par2)` Sends a HTTP POST request to the given URL with data from a map
`static String` | `sendPost(URL par0URL, String par1Str, boolean par2)` Sends a HTTP POST request to the given URL with data from a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpUtil

    public HttpUtil()

Method Detail

### buildPostString

    public static String buildPostString(Map par0Map)

  Builds an encoded HTTP POST content string from a string map

### sendPost

    public static String sendPost(URL par0URL,
                                  Map par1Map,
                                  boolean par2)

  Sends a HTTP POST request to the given URL with data from a map

### sendPost

    public static String sendPost(URL par0URL,
                                  String par1Str,
                                  boolean par2)

  Sends a HTTP POST request to the given URL with data from a string

### downloadTexturePack

    public static void downloadTexturePack(File par0File,
                                           String par1Str,
                                           IDownloadSuccess par2IDownloadSuccess,
                                           Map par3Map,
                                           int par4,
                                           IProgressUpdate par5IProgressUpdate)

### func_76181_a

    public static int func_76181_a()
                            throws IOException

  Throws:
    `IOException`

### func_82718_a

    public static String[] func_82718_a(String par0Str,
                                        String par1Str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD